apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: cert-cluster-issuer
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    server: https://kubernetes.default.svc
  project: default
  source:
    repoURL: "https://gitlab.com/tcwlab.com/saas/baseline/bootstrap.git"
    targetRevision: main
    path: apps/kustomize/cert-cluster-issuer
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
